- Qt 6.5
- Qt 3D
- C++ Classes
- Qt3DCore
- QAbstractSkeleton
- Qt 6.5.1 Reference Documentation

# QAbstractSkeleton Class

class Qt3DCore::QAbstractSkeleton

A skeleton contains the joints for a skinned mesh. More...

Header: | #include <QAbstractSkeleton>
CMake: | find_package(Qt6 REQUIRED COMPONENTS 3dcore) target_link_libraries(mytarget PRIVATE Qt6::3dcore)
qmake: | QT += 3dcore
Instantiated By: | AbstractSkeleton
Inherits: | Qt3DCore::QNode
Inherited By: | Qt3DCore::QSkeleton and Qt3DCore::QSkeletonLoader

- List of all members, including inherited members

## Properties

- jointCount : const int

## Public Functions

int | jointCount() const

## Signals

void | jointCountChanged(int jointCount)

## Detailed Description

Do not use this class directly. You should use QSkeletonLoader if loading skeleton data from a file (most likely) or QSkeleton if creating the skeleton and skinned mesh data yourself (mainly for people creating editors or tooling).

## Property Documentation

### `[read-only]` jointCount : const int

Holds the number of joints contained in the skeleton

Access functions:

int | jointCount() const

Notifier signal:

void | jointCountChanged(int jointCount)